Bug 31483 - Minor UI problem in opac-reset-password.pl
Summary: Minor UI problem in opac-reset-password.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 31382
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-29 16:19 UTC by Caroline Cyr La Rose
Modified: 2022-11-14 13:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07


Attachments
Bug 31483: Correct tiny HTML error on password reset page (1.48 KB, patch)
2022-08-29 22:39 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31483: Correct tiny HTML error on password reset page (1.55 KB, patch)
2022-08-30 10:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31483: Fix breadcrumbs on password reset page (1.49 KB, patch)
2022-08-30 21:30 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31483: Close <ol> tag properly on password reset page (1.42 KB, patch)
2022-08-31 21:00 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31483: Close <ol> tag properly on password reset page (1.56 KB, patch)
2022-09-01 13:59 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2022-08-29 16:19:40 UTC
When EnableExpiredPasswordReset is enabled, patrons can access a page to reset their password. In this page, the grey box that normally contains the breadcrumbs encompasses the whole form.

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is supposed to be
3) In the database, expire the patron's password, e.g.
UPDATE borrowers SET password_expiration_date = '2022-08-22' where borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
=> Note that the form is in the grey breadcrumbs box, you can compare with any other OPAC page, the grey box should only contain the breadcrumbs
Comment 1 Lucas Gass 2022-08-29 22:39:17 UTC
Created attachment 139970 [details] [review]
Bug 31483: Correct tiny HTML error on password reset page

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is supposed to be
3) In the database, expire the patron's password, e.g.
UPDATE borrowers SET password_expiration_date = '2022-08-22' where borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
=> Note that the form is in the grey breadcrumbs box, you can compare with any other OPAC page, the grey box should only contain the breadcrumbs
6) Apply patch
7) Try steps 4-5 again. The gray breadcrumbs box should be for breadcrumbs only!
Comment 2 Owen Leonard 2022-08-30 10:58:55 UTC
Created attachment 139979 [details] [review]
Bug 31483: Correct tiny HTML error on password reset page

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is
   supposed to be
3) In the database, expire the patron's password, e.g.
   UPDATE borrowers SET password_expiration_date = '2022-08-22' where
   borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
   => Note that the form is in the grey breadcrumbs box, you can compare
   with any other OPAC page, the grey box should only contain the
   breadcrumbs
6) Apply patch
7) Try steps 4-5 again. The gray breadcrumbs box should be for
   breadcrumbs only!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Joonas Kylmälä 2022-08-30 16:38:25 UTC
Please close the ol tag explicitly with </ol>.
Comment 4 Lucas Gass 2022-08-30 21:30:37 UTC
Created attachment 139993 [details] [review]
Bug 31483: Fix breadcrumbs on password reset page

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is
   supposed to be
3) In the database, expire the patron's password, e.g.
   UPDATE borrowers SET password_expiration_date = '2022-08-22' where
   borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
   => Note that the form is in the grey breadcrumbs box, you can compare
   with any other OPAC page, the grey box should only contain the
   breadcrumbs
6) Apply patch
7) Try steps 4-5 again. The gray breadcrumbs box should be for
   breadcrumbs only!
Comment 5 Joonas Kylmälä 2022-08-31 15:46:29 UTC
The patch was made on top of your own changes, thus doesn't apply. Can you resubmit the patch against master branch?
Comment 6 Lucas Gass 2022-08-31 21:00:26 UTC
Created attachment 140019 [details] [review]
Bug 31483: Close <ol> tag properly on password reset page

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is supposed to be
3) In the database, expire the patron's password, e.g.
UPDATE borrowers SET password_expiration_date = '2022-08-22' where borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
=> Note that the form is in the grey breadcrumbs box, you can compare with any other OPAC page, the grey box should only contain the breadcrumbs
Comment 7 Lucas Gass 2022-08-31 21:01:55 UTC
Wow, you'd think I'd be able to properly close an HTML tag in less then 3 patches, alas.


Thanks, Joonas.
Comment 8 Joonas Kylmälä 2022-09-01 13:59:42 UTC
Created attachment 140043 [details] [review]
Bug 31483: Close <ol> tag properly on password reset page

To test:
1) Enable EnableExpiredPasswordReset
2) Find a patron and change their password so you know what it is supposed to be
3) In the database, expire the patron's password, e.g.
UPDATE borrowers SET password_expiration_date = '2022-08-22' where borrowernumber = 21;
4) Go to the OPAC, try to log in with the patron's credentials
5) Click Reset your password
=> Note that the form is in the grey breadcrumbs box, you can compare with any other OPAC page, the grey box should only contain the breadcrumbs

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 9 Joonas Kylmälä 2022-09-01 14:00:27 UTC
Trivial syntax error fix, straight to PQA.
Comment 10 Tomás Cohen Arazi 2022-09-07 20:30:51 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 11 Lucas Gass 2022-10-31 19:40:01 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 12 Arthur Suzuki 2022-11-14 13:30:43 UTC
depends on bz31382, can't backport